Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## org.w3c.dom
Interface DOMError

All Known Implementing Classes:
  XMLError

      public interface DOMError

`DOMError` is an interface that describes an error.

See also the Document Object Model (DOM) Level 3 Core Specification.

Since:
  DOM Level 3

Field Summary
`static short` `SEVERITY_ERROR` The severity of the error described by the `DOMError` is error
`static short` `SEVERITY_FATAL_ERROR` The severity of the error described by the `DOMError` is fatal error
`static short` `SEVERITY_WARNING` The severity of the error described by the `DOMError` is warning

Method Summary
`DOMLocator` `getLocation()` The location of the error.
`java.lang.String` `getMessage()` An implementation specific string describing the error that occured.
`java.lang.Object` `getRelatedData()` The related `DOMError.type` dependent data if any.
`java.lang.Object` `getRelatedException()` The related platform dependent exception if any.exception is a reserved word, we need to rename it.Change to "relatedException".
`short` `getSeverity()` The severity of the error, either `SEVERITY_WARNING`, `SEVERITY_ERROR`, or `SEVERITY_FATAL_ERROR`.
`java.lang.String` `getType()` A `DOMString` indicating which related data is expected in `relatedData`.

Field Detail

### SEVERITY_WARNING

    static final short SEVERITY_WARNING

  The severity of the error described by the `DOMError` is warning
  See Also:
    Constant Field Values

### SEVERITY_ERROR

    static final short SEVERITY_ERROR

  The severity of the error described by the `DOMError` is error
  See Also:
    Constant Field Values

### SEVERITY_FATAL_ERROR

    static final short SEVERITY_FATAL_ERROR

  The severity of the error described by the `DOMError` is fatal error
  See Also:
    Constant Field Values

Method Detail

### getSeverity

    short getSeverity()

  The severity of the error, either `SEVERITY_WARNING`, `SEVERITY_ERROR`, or `SEVERITY_FATAL_ERROR`.

### getMessage

    java.lang.String getMessage()

  An implementation specific string describing the error that occured.

### getType

    java.lang.String getType()

  A `DOMString` indicating which related data is expected in `relatedData`. Users should refer to the specification of the error in order to find its `DOMString` type and `relatedData` definitions if any.

  Note: As an example, [DOM Level 3 Load and Save] does not keep the [baseURI] property defined on a Processing Instruction information item. Therefore, the `DOMBuilder` generates a `SEVERITY_WARNING` with `type` `"infoset-baseURI"` and the lost [baseURI] property represented as a `DOMString` in the `relatedData` attribute.

### getRelatedException

    java.lang.Object getRelatedException()

  The related platform dependent exception if any.exception is a reserved word, we need to rename it.Change to "relatedException". (F2F 26 Sep 2001)

### getRelatedData

    java.lang.Object getRelatedData()

  The related `DOMError.type` dependent data if any.

### getLocation

    DOMLocator getLocation()

  The location of the error.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2000 W3C® (MIT, INRIA, Keio), All Rights Reserved.